Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class PersistenceHelper

    java.lang.Object
      |
      +--com.beasys.commerce.util.PersistenceHelper

public final class PersistenceHelper
extends java.lang.Object

Persistence Helper provides an optional, cross-platform optimization for dependent objects in the persistence cache. BY DEFAULT THIS FEATURE IS TURNED OFF * This is not required for CMP or BMP.

Inner Class Summary
`static class` | `PersistenceHelper.DefaultSmartCollectionReference`
`static class` | `PersistenceHelper.DefaultSmartEntityReference`
`static class` | `PersistenceHelper.DefaultSmartMapReference`

Constructor Summary
`PersistenceHelper()`

Method Summary
`static SmartEntityReference` | `createDefaultSmartEntityReference()`
`static SmartEntityReference` | `createDefaultSmartEntityReference(javax.ejb.EJBObject ejbObject)`
`static SmartCollectionReference` | `createSmartCollectionReference(java.lang.String attributeIdentifier, SmartCollectionReference targetInstance, BelongingImpl belonging)`
`static SmartCollectionReference` | `createSmartCollectionReference(java.lang.String attributeIdentifier, SmartCollectionReference targetInstance, EntityImpl entityImpl)`
`static SmartCollectionReference` | `createSmartCollectionReference(java.lang.String attributeIdentifier, SmartCollectionReference targetInstance, SessionImpl sessionImpl)`
`static SmartEntityReference` | `createSmartEntityReference(java.lang.String attributeIdentifier, SmartEntityReference targetInstance, BelongingImpl belonging)`
`static SmartEntityReference` | `createSmartEntityReference(java.lang.String attributeIdentifier, SmartEntityReference targetInstance, EntityImpl entityImpl)`
`static SmartEntityReference` | `createSmartEntityReference(java.lang.String attributeIdentifier, SmartEntityReference targetInstance, SessionImpl sessionImpl)`
`static SmartMapReference` | `createSmartMapReference(java.lang.String attributeIdentifier, SmartMapReference targetInstance, BelongingImpl belonging)`
`static SmartMapReference` | `createSmartMapReference(java.lang.String attributeIdentifier, SmartMapReference targetInstance, EntityImpl entityImpl)` Allocate an instance of a smart map
`static SmartMapReference` | `createSmartMapReference(java.lang.String attributeIdentifier, SmartMapReference targetInstance, SessionImpl sessionImpl)` Allocate an instance of a smart map
`static Belonging` | `doRelationalBinding(java.lang.String attributeIdentifier, Belonging value, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static Belonging` | `doRelationalBinding(java.lang.String attributeIdentifier, Belonging value, EntityImpl entityImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static javax.ejb.EJBObject` | `doRelationalBinding(java.lang.String attributeIdentifier, javax.ejb.EJBObject ejbObject, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static javax.ejb.EJBObject` | `doRelationalBinding(java.lang.String attributeIdentifier, javax.ejb.EJBObject ejbObject, EntityImpl entityImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static java.lang.Object` | `doRelationalBinding(java.lang.String attributeIdentifier, java.lang.Object value, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static java.lang.Object` | `doRelationalBinding(java.lang.String attributeIdentifier, java.lang.Object value, EntityImpl entityImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static Belonging` | `doRelationalBindingWithMapKey(java.lang.String attributeIdentifier, Belonging value, java.lang.Object mapKey, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static Belonging` | `doRelationalBindingWithMapKey(java.lang.String attributeIdentifier, Belonging value, java.lang.Object mapKey, EntityImpl entityImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static javax.ejb.EJBObject` | `doRelationalBindingWithMapKey(java.lang.String attributeIdentifier, javax.ejb.EJBObject ejbObject, java.lang.Object mapKey, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static javax.ejb.EJBObject` | `doRelationalBindingWithMapKey(java.lang.String attributeIdentifier, javax.ejb.EJBObject ejbObject, java.lang.Object mapKey, EntityImpl entityImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static java.lang.Object` | `doRelationalBindingWithMapKey(java.lang.String attributeIdentifier, java.lang.Object value, java.lang.Object mapKey, javax.ejb.EJBObject parent, BelongingImpl belongingImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static java.lang.Object` | `doRelationalBindingWithMapKey(java.lang.String attributeIdentifier, java.lang.Object value, java.lang.Object mapKey, EntityImpl entityImpl)` Standardize an instance of an attribute type for a specific attribute on a bean.
`static Belonging` | `synchronizeWithCache(Belonging value, EntityImpl entityImpl)` Synchronize the dependent object with the persistence cache
`static java.lang.Object` | `synchronizeWithCache(java.lang.Object value, EntityImpl entityImpl)` Synchronize the dependent object with the persistence cache
`static Belonging` | `synchronizeWithCache(java.lang.String attributeIdentifier, Belonging value, EntityImpl entityImpl)` Synchronize the dependent object with the persistence cache
`static java.util.Collection` | `synchronizeWithCache(java.lang.String attributeIdentifier, java.util.Collection collection, EntityImpl entityImpl)` Synchronize the dependent object with the persistence cache
`static java.util.Map` | `synchronizeWithCache(java.lang.String attributeIdentifier, java.util.Map map, EntityImpl entityImpl)` Synchronize the dependent object with the persistence cache
`static java.lang.Object` | `synchronizeWithCache(java.lang.String attributeIdentifier, java.lang.Object value, EntityImpl entityImpl)` Synchronize the dependent object with the persistence cache

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceHelper

    public PersistenceHelper()

Method Detail

### synchronizeWithCache

    public static final Belonging synchronizeWithCache(java.lang.String attributeIdentifier,
                                                       Belonging value,
                                                       EntityImpl entityImpl)

  Synchronize the dependent object with the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### synchronizeWithCache

    public static final java.lang.Object synchronizeWithCache(java.lang.String attributeIdentifier,
                                                              java.lang.Object value,
                                                              EntityImpl entityImpl)

  Synchronize the dependent object with the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers * @param value instance of a belonging * @param entityImpl implementation of an entity bean

### synchronizeWithCache

    public static final java.util.Collection synchronizeWithCache(java.lang.String attributeIdentifier,
                                                                  java.util.Collection collection,
                                                                  EntityImpl entityImpl)

  Synchronize the dependent object with the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### synchronizeWithCache

    public static final java.util.Map synchronizeWithCache(java.lang.String attributeIdentifier,
                                                           java.util.Map map,
                                                           EntityImpl entityImpl)

  Synchronize the dependent object with the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### synchronizeWithCache

    public static final Belonging synchronizeWithCache(Belonging value,
                                                       EntityImpl entityImpl)

  Synchronize the dependent object with the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### synchronizeWithCache

    public static final java.lang.Object synchronizeWithCache(java.lang.Object value,
                                                              EntityImpl entityImpl)

  Synchronize the dependent object with the persistence cache

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBinding

    public static Belonging doRelationalBinding(java.lang.String attributeIdentifier,
                                                Belonging value,
                                                EntityImpl entityImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBinding

    public static java.lang.Object doRelationalBinding(java.lang.String attributeIdentifier,
                                                       java.lang.Object value,
                                                       EntityImpl entityImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBinding

    public static javax.ejb.EJBObject doRelationalBinding(java.lang.String attributeIdentifier,
                                                          javax.ejb.EJBObject ejbObject,
                                                          EntityImpl entityImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of a remote interface
    `entityImpl` - implementation of an entity bean

### doRelationalBindingWithMapKey

    public static Belonging doRelationalBindingWithMapKey(java.lang.String attributeIdentifier,
                                                          Belonging value,
                                                          java.lang.Object mapKey,
                                                          EntityImpl entityImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBindingWithMapKey

    public static java.lang.Object doRelationalBindingWithMapKey(java.lang.String attributeIdentifier,
                                                                 java.lang.Object value,
                                                                 java.lang.Object mapKey,
                                                                 EntityImpl entityImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBindingWithMapKey

    public static javax.ejb.EJBObject doRelationalBindingWithMapKey(java.lang.String attributeIdentifier,
                                                                    javax.ejb.EJBObject ejbObject,
                                                                    java.lang.Object mapKey,
                                                                    EntityImpl entityImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of a remote interface
    `entityImpl` - implementation of an entity bean

### doRelationalBinding

    public static Belonging doRelationalBinding(java.lang.String attributeIdentifier,
                                                Belonging value,
                                                javax.ejb.EJBObject parent,
                                                BelongingImpl belongingImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBinding

    public static java.lang.Object doRelationalBinding(java.lang.String attributeIdentifier,
                                                       java.lang.Object value,
                                                       javax.ejb.EJBObject parent,
                                                       BelongingImpl belongingImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBinding

    public static javax.ejb.EJBObject doRelationalBinding(java.lang.String attributeIdentifier,
                                                          javax.ejb.EJBObject ejbObject,
                                                          javax.ejb.EJBObject parent,
                                                          BelongingImpl belongingImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of a remote interface
    `entityImpl` - implementation of an entity bean

### doRelationalBindingWithMapKey

    public static Belonging doRelationalBindingWithMapKey(java.lang.String attributeIdentifier,
                                                          Belonging value,
                                                          java.lang.Object mapKey,
                                                          javax.ejb.EJBObject parent,
                                                          BelongingImpl belongingImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBindingWithMapKey

    public static java.lang.Object doRelationalBindingWithMapKey(java.lang.String attributeIdentifier,
                                                                 java.lang.Object value,
                                                                 java.lang.Object mapKey,
                                                                 javax.ejb.EJBObject parent,
                                                                 BelongingImpl belongingImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a belonging
    `entityImpl` - implementation of an entity bean

### doRelationalBindingWithMapKey

    public static javax.ejb.EJBObject doRelationalBindingWithMapKey(java.lang.String attributeIdentifier,
                                                                    javax.ejb.EJBObject ejbObject,
                                                                    java.lang.Object mapKey,
                                                                    javax.ejb.EJBObject parent,
                                                                    BelongingImpl belongingImpl)

  Standardize an instance of an attribute type for a specific attribute on a bean. Standardized instances may contain additional information suitable for mapping to a relational database. See BEA documentation for more information about this optional feature. BY DEFAULT THIS FEATURE IS TURNED OFF

  Parameters:
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of a remote interface
    `entityImpl` - implementation of an entity bean

### createSmartEntityReference

    public static SmartEntityReference createSmartEntityReference(java.lang.String attributeIdentifier,
                                                                  SmartEntityReference targetInstance,
                                                                  EntityImpl entityImpl)

### createSmartMapReference

    public static SmartMapReference createSmartMapReference(java.lang.String attributeIdentifier,
                                                            SmartMapReference targetInstance,
                                                            EntityImpl entityImpl)

  Allocate an instance of a smart map

### createSmartCollectionReference

    public static SmartCollectionReference createSmartCollectionReference(java.lang.String attributeIdentifier,
                                                                          SmartCollectionReference targetInstance,
                                                                          EntityImpl entityImpl)

### createSmartEntityReference

    public static SmartEntityReference createSmartEntityReference(java.lang.String attributeIdentifier,
                                                                  SmartEntityReference targetInstance,
                                                                  SessionImpl sessionImpl)

### createSmartMapReference

    public static SmartMapReference createSmartMapReference(java.lang.String attributeIdentifier,
                                                            SmartMapReference targetInstance,
                                                            SessionImpl sessionImpl)

  Allocate an instance of a smart map

### createSmartCollectionReference

    public static SmartCollectionReference createSmartCollectionReference(java.lang.String attributeIdentifier,
                                                                          SmartCollectionReference targetInstance,
                                                                          SessionImpl sessionImpl)

### createSmartEntityReference

    public static SmartEntityReference createSmartEntityReference(java.lang.String attributeIdentifier,
                                                                  SmartEntityReference targetInstance,
                                                                  BelongingImpl belonging)

### createSmartMapReference

    public static SmartMapReference createSmartMapReference(java.lang.String attributeIdentifier,
                                                            SmartMapReference targetInstance,
                                                            BelongingImpl belonging)

### createSmartCollectionReference

    public static SmartCollectionReference createSmartCollectionReference(java.lang.String attributeIdentifier,
                                                                          SmartCollectionReference targetInstance,
                                                                          BelongingImpl belonging)

### createDefaultSmartEntityReference

    public static SmartEntityReference createDefaultSmartEntityReference()

### createDefaultSmartEntityReference

    public static SmartEntityReference createDefaultSmartEntityReference(javax.ejb.EJBObject ejbObject)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved